Description

The attached patch introduces a change in the _attributes.html.erb partial for issues, aimed at optimizing SQL queries related to
issue categories. This change reduces an SQL query that checks the existence of issue category records.

Before:

IssueCategory Exists? (0.4ms) SELECT 1 AS one FROM "issue_categories" WHERE "issue_categories".
"project_id" = $1 LIMIT $2 [["project_id", 1], ["LIMIT", 1]]

L app/views/issues/_attributes.html.erb:36

IssueCategory Load (0.2ms) SELECT "issue_categories".* FROM "issue_categories" WHERE "issue_cat
egories"."project_id" = $1 ORDER BY "issue_categories"."name" ASC [["project_id", 111

L app/views/issues/_attributes.html.erb:37:in “collect'

After:
IssueCategory Pluck (0.2ms) SELECT "issue_categories"."name", "issue_categories"."id" FROM "iss
ue_categories" WHERE "issue_categories"."project_id" = $1 ORDER BY "issue_categories"."name" ASC

[["project_id", 11]
L app/views/issues/_attributes.html.erb:35

Associated revisions

Revision 22568 - 2023-12-27 10:31 - Go MAEDA

Optimize IssueCategory SQL queries when showing an issue (#39849).

Patch by Go MAEDA.

History

#1 - 2023-12-25 15:23 - Go MAEDA

- Target version set to 6.0.0

#2 - 2023-12-27 10:31 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

Files

0001-Optimize-lssueCategory-SQL-queries-when-showing-an-i.patch 1.21 KB 2023-12-14 Go MAEDA

2025-05-01 1/1



http://www.tcpdf.org

